com.google.cloud.dataflow.sdk

## Class Pipeline.PipelineExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.cloud.dataflow.sdk.Pipeline.PipelineExecutionException

All Implemented Interfaces:
  Serializable

Enclosing class:
  Pipeline

    public static class Pipeline.PipelineExecutionException
    extends RuntimeException

Thrown during execution of a `Pipeline`, whenever user code within that `Pipeline` throws an exception.

The original exception thrown by user code may be retrieved via `Throwable.getCause()`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PipelineExecutionException(Throwable cause)` Wraps `cause` into a `Pipeline.PipelineExecutionException`.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PipelineExecutionException

    public PipelineExecutionException(Throwable cause)

Wraps `cause` into a `Pipeline.PipelineExecutionException`.